Name:          sqliteman
Version:       1.2.2
Release:       %mkrel 5
Summary:       Lightweight but powerful Sqlite3 manager
License:       GPLv2
Group:         Databases
URL:           http://sqliteman.com
Source:        http://downloads.sourceforge.net/sqliteman/%{name}-%{version}.tar.bz2

BuildRequires: qt4-devel >= 4.3.0
BuildRequires: qt4-database-plugin-sqlite 
BuildRequires: cmake 
BuildRequires: pkgconfig(uuid) 
BuildRequires: qscintilla-qt4-devel 
BuildRequires: desktop-file-utils

Requires:      qt4-database-plugin-sqlite

%description
The best developer's and/or admin's GUI tool for Sqlite3
in the world. No joking here (or just a bit only) - it
contains the most complete feature set of all tools available

%prep
%setup -q

%build
%cmake_qt4
%make


%install
%make_install -C build

desktop-file-install \
        --add-category "Development;Database;Qt;" \
        --dir %{buildroot}%{_datadir}/applications \
        %{buildroot}%{_datadir}/applications/%{name}.desktop

install -d %{buildroot}%{_iconsdir}/hicolor/32x32/apps
mv %{buildroot}%{_datadir}/icons/hicolor/%{name}.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

%files
%doc AUTHORS
%doc %{_datadir}/%{name}/doc/*
%{_bindir}/sqliteman
%{_datadir}/applications/*
%{_datadir}/%{name}/icons/*
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%lang(bg) %{_datadir}/%{name}/sqliteman_bg.qm
%lang(cs) %{_datadir}/%{name}/sqliteman_cs.qm
%lang(de) %{_datadir}/%{name}/sqliteman_de.qm
%lang(en) %{_datadir}/%{name}/sqliteman_en.qm
%lang(fr) %{_datadir}/%{name}/sqliteman_fr.qm
%lang(it) %{_datadir}/%{name}/sqliteman_it.qm
%lang(pl) %{_datadir}/%{name}/sqliteman_pl.qm
%lang(ru) %{_datadir}/%{name}/sqliteman_ru.qm


%changelog
* Wed Jan 20 2016 daviddavid <daviddavid> 1.2.2-5.mga6
+ Revision: 926068
- add missing requires on qt4-database-plugin-sqlite (fixes mga#17548)

* Wed Oct 15 2014 umeabot <umeabot> 1.2.2-4.mga6
+ Revision: 749690
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.2-3.mga5
+ Revision: 689304
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.2.2-2.mga5
+ Revision: 529006
- Mageia 4 Mass Rebuild

* Sun Jun 30 2013 malo <malo> 1.2.2-1.mga4
+ Revision: 448596
- Mageia spec by Aleksandrs Jansons


* Sun Jun 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.1-1mdv2010.0
+ Revision: 383487
- update to new version 1.2.1
- fix file list

  + Jerome Martin <jmartin@mandriva.org>
    - Fixed BuildRequires/Requires for 2008.1

* Wed Nov 19 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.0-2mdv2009.1
+ Revision: 304485
- rebuild

* Wed Aug 06 2008 Funda Wang <fundawang@mandriva.org> 1.2.0-1mdv2009.0
+ Revision: 264718
- New version 1.2.0
- use non-arch dependencies

* Sun Jul 13 2008 Funda Wang <fundawang@mandriva.org> 1.0.1-2mdv2009.0
+ Revision: 234232
- add requires on qt4-sqlite

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Thu Jan 31 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0.1-1mdv2008.1
+ Revision: 160882
- new version
- fix file list

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Jul 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1mdv2008.0
+ Revision: 53317
- new version
- drop X-MandrivaLinux
- drop buildrequires on desktop-file-utils
- fix file list

* Tue Apr 24 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.99-0.20070421.1mdv2008.0
+ Revision: 17936
- correct buildrequires
- fix building on x86_64
- Import sqliteman



